import { Context, Schema } from 'koishi';
export declare const name = "teleguild";
export declare const usage = "\u4F7F\u7528\u6587\u6863/\u66F4\u65B0\u65E5\u5FD7\uFF1Ahttps://forum.koishi.xyz/t/topic/10178";
declare module 'koishi' {
    interface Tables {
        teleguild_protals_auto: Portal;
        teleguild_protals_manual: Portal;
    }
}
export interface Portal {
    callId: number;
    id: string;
    name: string;
}
interface activeGuilds {
    id: string;
    name: string;
}
export interface Config {
    showGuildId: boolean;
    badWords: string[];
    allowPicture: boolean;
    limit: '不限制' | '限制时间' | '限制消息量' | '限制时间或消息量（其中之一达到就结束）';
    timeLimit?: number;
    countLimit?: number;
    autoGuilds: boolean;
    activeGuilds?: activeGuilds[];
}
export declare const Config: Schema<Config>;
export declare const inject: string[];
export declare function apply(ctx: Context, config: Config): void;
export {};
